imageistruecolor
imagelayereffect
GD Functions
PHP Manual

# imagejpeg

(PHP 4, PHP 5)

imagejpeg — Output image to browser or file

### Description

bool imagejpeg ( resource `$image` [, string `$filename` [, int `$quality` ]] )

imagejpeg() creates a JPEG file from the given `image` .

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to save the file to. If not set or `NULL`, the raw image stream will be outputted directly.

  To skip this argument in order to provide the `quality` parameter, use `NULL`.

`quality`

  `quality` is optional, and ranges from 0 (worst quality, smaller file) to 100 (best quality, biggest file). The default is the default IJG quality value (about 75).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: JPEG support is only available if PHP was compiled against GD-1.8 or later.

> Note: If you want to output Progressive JPEGs, you need to set interlacing on with imageinterlace().

### See Also

- imagepng()
- imagegif()
- imagewbmp()
- imageinterlace()
- imagetypes()

imageistruecolor
imagelayereffect
GD Functions
PHP Manual